## org.biojava.bio.gui.sequence
Class ImageMap.ServerSide

    java.lang.Object
      org.biojava.bio.gui.sequence.ImageMap.ServerSide

All Implemented Interfaces:
  Serializable, ImageMap

Enclosing interface:
  ImageMap

    public static class ImageMap.ServerSide

extends Object
implements ImageMap, Serializable

`ServerSide` represents a server-side style image map.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.ImageMap
`ImageMap.ClientSide, ImageMap.HotSpot, ImageMap.ServerSide`

Field Summary

Fields inherited from interface org.biojava.bio.gui.sequence.ImageMap
`CIRCLE, POLY, RECT`

Constructor Summary
`ImageMap.ServerSide()` Creates a new `ServerSide` image map.

Method Summary
`void` `addHotSpot(ImageMap.HotSpot hotSpot)` `addHotSpot` adds a hotspot to the map.
`Iterator` `hotSpots()` `hotSpots` iterates over the hotspots in the map
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageMap.ServerSide

    public ImageMap.ServerSide()

  Creates a new `ServerSide` image map.

Method Detail

### addHotSpot

    public void addHotSpot(ImageMap.HotSpot hotSpot)

  Description copied from interface: `ImageMap`
  `addHotSpot` adds a hotspot to the map.

  Specified by:
    `addHotSpot` in interface `ImageMap`
  Parameters:
    `hotSpot` - a `HotSpot`.

### hotSpots

    public Iterator hotSpots()

  Description copied from interface: `ImageMap`
  `hotSpots` iterates over the hotspots in the map

  Specified by:
    `hotSpots` in interface `ImageMap`
  Returns:
    an `Iterator`.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`